using System;

namespace _1_Pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] temp;
            UInt32 visina_perice;
            UInt32[] visine_stalatita;
            int broj_stalaktita;
            bool zaustavljen;

            zaustavljen = false;

            temp = Console.ReadLine().Split();
            broj_stalaktita = int.Parse(temp[0]);
            visina_perice = UInt32.Parse(temp[1]);
            visine_stalatita = new UInt32[broj_stalaktita];


            temp = Console.ReadLine().Split();
            for(int i = 0; i < broj_stalaktita; i++)
            {
                visine_stalatita[i] = UInt32.Parse(temp[i]);

                if (visine_stalatita[i] <= visina_perice)
                {
                    Console.WriteLine(i + 1);
                    zaustavljen = true;
                    break;
                }
            }

            if (!zaustavljen)
            {
                Console.WriteLine("-1");
            }
        }
    }
}